<?php
/*
Plugin Name: WooCommerce Lyoness
Plugin URI: 
Description: WooCommerce Lyoness
Author: WP Doze
Author URI: https://www.wpdoze.com
Version: 1.0.0

	Copyright:  2016 wpdoze (email : bitdoze1@gmail.com)
	License: GNU General Public License v3.0
	License URI: http://www.gnu.org/licenses/gpl-3.0.html
*/

/**
 * Check if WooCommerce is active
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

// Check if WooCommerce is active and bail if it's not
if ( ! WoocommerceLyoness::is_woocommerce_active() )
	return;

/**
 * The WoocommerceCustomCheckoutCNPField global object
 * @name $woocommerce_custom_checkout_CNP_field
 * @global WoocommerceCustomCheckoutCNPField $GLOBALS['woocommerce_custom_checkout_CNP_field']
 */
$GLOBALS['woocommerce_custom_checkout_CNP_field'] = new WoocommerceLyoness();

class WoocommerceLyoness{

	public function __construct() {
		// Installation
		if ( is_admin() && ! defined( 'DOING_AJAX' ) ) $this->install();

		add_action( 'woocommerce_init', array( $this, 'init' ) );
		
	}
	public function init() {

		add_filter( 'woocommerce_thankyou' , array( $this,'LyonessTrackingPixel' ));
		

	}
	
	public function LyonessTrackingPixel($order_id) {
 
		
				
		
 
			// Lets grab the order
			$order = new WC_Order( $order_id );
			 
			/**
			 * Put your tracking code here
			 * You can get the order total etc e.g. $order->get_order_total();
			 **/
			 echo $order->get_total();
			 
			$organization = "xxxx";
			// Your checksum code; provided by Lyoness
			//
			$checksumCode = "xxxx";
			// Value of the sale; sale specific value has to
			// be assigned dynamically out of the shop database
			//
			$ordervtva = $order->get_total();
			$discountam = $order->get_cart_discount();
			
			
			$orderValue = number_format($ordervtva/124*100,2, '.', '');
	
			
			// Currency of the sale.
			// For example "USD" for US $, or "EUR" for Euro
			//
			$currency = "RON";
			// Event ID; provided by Lyoness
			//
			$event = "xxxx";
			// Event type:
			// in most cases $isSale should be left as "true" unless
			// you arranged a lead commission with Lyoness
			// true = Sale
			// false = Lead
			//
			$isSale = true;

			// Encrypted connection on this page:
			// true = Yes (https)
			// false = No (http)
			//
			$isSecure = true;
			// Here you must specify a unique identifier for the transaction.
			// You should assign your internal shop order number dynamically
			// out of your shop database
			//
			//$discount_value=number_format($_SESSION['val_comision']/$orderValue*100,2, '.', '');
			$orderNumber = $order_id;
			// If you do not use the built-in session functionality in PHP, modify
			// the following expressions to work with your session handling routines.
			//
			$tduid = "";
			if (!empty($_SESSION["TRADEDOUBLER"]))
			// OPTIONAL: You may transmit a list of items ordered in the reportInfo
			// parameter. See the chapter reportInfo for details.
			//
			$reportInfo = ""; $reportInfo = urlencode($reportInfo);
			/***** IMPORTANT: *****/
			/***** In most cases, you should not edit anything below this line. *****/
			if (!empty($_COOKIE["TRADEDOUBLER"]))
			$tduid = $_COOKIE["TRADEDOUBLER"];
			if ($isSale)
			{
			$domain = "tbs.tradedoubler.com";
			$checkNumberName = "orderNumber";
			}
			else
			{
			$domain = "tbl.tradedoubler.com";
			$checkNumberName = "leadNumber";
			$orderValue = "1";
			}
			$checksum = "v04" . md5($checksumCode . $orderNumber . $orderValue);
			if ($isSecure) $scheme = "https";
			else $scheme = "http";



			$trackBackUrl = $scheme . "://" . $domain . "/report"
			. "?organization=" . $organization
			. "&amp;event=" . $event
			. "&amp;" . $checkNumberName . "=" . $orderNumber
			. "&amp;checksum=" . $checksum
			. "&amp;tduid=" . $tduid
			. "&amp;reportInfo=" . $reportInfo;
			if ($isSale)
			{
			$trackBackUrl
			.= "&amp;orderValue=" .$orderValue
			.= "&amp;currency=" .$currency;
			}
			echo "<img src=\"" . $trackBackUrl . "\" alt=\"\" style=\"border: none\" />";
 

		

	
}

 

	public static function is_woocommerce_active() {

		$active_plugins = (array) get_option( 'active_plugins', array() );

		if ( is_multisite() )
			$active_plugins = array_merge( $active_plugins, get_site_option( 'active_sitewide_plugins', array() ) );

		return in_array( 'woocommerce/woocommerce.php', $active_plugins ) || array_key_exists( 'woocommerce/woocommerce.php', $active_plugins );
	}




	/** Lifecycle methods ******************************************************/


	/**
	 * Run every time.  Used since the activation hook is not executed when updating a plugin
	 */
	private function install() {

	
	}

}